# PCFactorSetUseInPlace

Tells the system to do an in-place factorization. For dense matrices, this enables the solution of much larger problems. For sparse matrices the factorization cannot be done truly in-place so this does not save memory during the factorization, but after the matrix is factored, the original unfactored matrix is freed, thus recovering that space.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCFactorSetUseInPlace(PC pc)

Collective on PC

### Input Parameters

pc -the preconditioner context

### Options Database Key

-pc_factor_in_place -Activates in-place factorization

### Notes

PCFactorSetUseInplace() can only be used with the KSP method KSPPREONLY or when a different matrix is provided for the multiply and the preconditioner in a call to KSPSetOperators(). This is because the Krylov space methods require an application of the matrix multiplication, which is not possible here because the matrix has been factored in-place, replacing the original matrix.

### Keywords

PC, set, factorization, direct, inplace, in-place, LU

### See Also

PCILUSetUseInPlace()

Level:intermediate
Location: src/ksp/pc/impls/factor/lu/lu.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages